# ensure to remove a potential old LosslessCut-linux-x64.tar.bz2 in SOURCES

Summary: LosslessCut Video Editor 
Name:       losslesscut
Version:    3.59.1
Release:    %mkrel 1
License:    GPL
Group:      Video
URL:        https://github.com/mifi/lossless-cut/releases
Source0: losslesscut.png
Source1: losslesscut.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
AutoReqProv: no

%description
Simple, cross platform tool for lossless trimming / cutting of video
and audio files. Great for rough processing of large video files
taken from a video camera, GoPro, drone, etc. It lets you quickly
extract the good parts from your videos and discard GBs of data
without losing quality.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/opt

cd $RPM_SOURCE_DIR
wget -nc https://github.com/mifi/lossless-cut/releases/download/v%{version}/LosslessCut-linux-x64.tar.bz2

# extract data 
tar -jxf LosslessCut-linux-x64.tar.bz2 --directory %buildroot/opt

#symlink
mkdir -p %buildroot/%{_bindir}
ln -fs /opt/LosslessCut-linux-x64/losslesscut %buildroot%{_bindir}/losslesscut

#icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE0 %buildroot/%{_datadir}/pixmaps/losslesscut.png

#menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/losslesscut.desktop

%clean
rm -rf %buildroot

%posttrans
sed -i 's|Exec=losslesscut|Exec=losslesscut --no-sandbox|' %{_datadir}/applications/losslesscut.desktop

%files
%defattr(-,root,root)
/opt/LosslessCut-linux-x64
%{_bindir}/losslesscut
%{_datadir}/pixmaps/losslesscut.png
%{_datadir}/applications/losslesscut.desktop

%changelog
* Wed Dec 27 2023 pp - 3.59.1-1pclos2024
- new version

* Fri Oct 20 2023 pp - 3.58.0-1pclos2023
- new version

* Thu Aug 31 2023 pp - 3.56.0-1pclos2023
- new version

* Thu Apr 06 2023 pp - 3.54.0-1pclos2023
- new version

* Sat Mar 11 2023 pp - 3.53.0-1pclos2023
- new version

* Tue Feb 21 2023 pp - 3.52.0-1pclos2023
- new version

* Tue Feb 07 2023 pp - 3.50.0-1pclos2023
- new version

* Fri Jan 20 2023 tex - 3.49.0-1pclos2023
- new version

* Sun Oct 16 2022 pp - 3.47.1-1pclos2022
- new version

* Thu Jul 21 2022 pp - 3.46.2-1pclos2022
- new version

* Sat Jun 04 2022 pp - 3.45.0-1pclos2022
- new version

* Tue Apr 26 2022 tex - 3.44.0-3pclos2022
- add back sanbox fix in desktop file
